unit UVue;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, Grids, Menus, ExtCtrls, StdCtrls;

type
  TFormPrincipale = class(TForm)
    MainMenu1: TMainMenu;
    DrawGrid1: TDrawGrid;
    Jeu1: TMenuItem;
    NouvellePartie1: TMenuItem;
    Timer1: TTimer;
    LabelJoueurCourant: TLabel;
    Quitter1: TMenuItem;
    LabelJaune: TLabel;
    LabelRouge: TLabel;
    Annulerderniercoup1: TMenuItem;
    procedure NouvellePartie1Click(Sender: TObject);
    procedure DrawGrid1DrawCell(Sender: TObject; ACol, ARow: Integer;
      Rect: TRect; State: TGridDrawState);
    procedure DrawGrid1SelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
    procedure Timer1Timer(Sender: TObject);
    procedure Quitter1Click(Sender: TObject);
    procedure Annulerderniercoup1Click(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormPrincipale: TFormPrincipale;

implementation

uses UControlleur;

{$R *.dfm}

procedure TFormPrincipale.NouvellePartie1Click(Sender: TObject);
begin
   initialisation;
   DrawGrid1.Repaint;
   DrawGrid1.Enabled := true;
   NouvellePartie1.Enabled := false;
end;

procedure TFormPrincipale.DrawGrid1DrawCell(Sender: TObject; ACol,
  ARow: Integer; Rect: TRect; State: TGridDrawState);
var couleur: TColor;
begin
   couleur := getCouleur(ACol,ARow);
   with Drawgrid1, Canvas do begin
     Pen.Color := couleur;
     Brush.Color := couleur;
     Ellipse(Rect);
   end;
end;

procedure TFormPrincipale.DrawGrid1SelectCell(Sender: TObject; ACol,
  ARow: Integer; var CanSelect: Boolean);
begin
  coupJoue(ACol);
end;

procedure TFormPrincipale.Timer1Timer(Sender: TObject);
begin
   deplacerJeton;
   DrawGrid1.Repaint;
end;

procedure TFormPrincipale.Quitter1Click(Sender: TObject);
begin
   Close;
end;

procedure TFormPrincipale.Annulerderniercoup1Click(Sender: TObject);
begin
   annulerDernierCoup;
end;

end.
